<template>
  <div class="add-new-card">
    <div class="add-new-card__wrapper">
      <div class="add-new-card__header">
        <h6 class="add-new-card__header-title">Добавить новую карту</h6>
      </div>
      <div class="add-new-card__content">
        <div class="add-new-card__row">
          <div class="add-new-card__bunch">
            <label for="newCardNumber"
                   class="add-new-card__label">Номер карты</label>
            <input id="newCardNumber"
                   class="add-new-card__input"
                   v-mask="'####-####-####-####'"
                   v-model="newCardNumber"
                   placeholder="Номер карты"/>
            <SVGIcon class="add-new-card__icon" xlink="mastercard-35"
                     viewBox="0 0 35 35"/>
          </div>
        </div>
        <div class="add-new-card__row add-new-card__space-between">
          <div class="add-new-card__column add-new-card__half">
            <div class="add-new-card__bunch">
              <label for="newCardValidity"
                     class="add-new-card__label">Срок действия</label>
              <input id="newCardValidity"
                     class="add-new-card__input"
                     v-mask="'##/##'"
                     v-model="newCardValidity"
                     placeholder="Срок действия карты"/>
            </div>
          </div>
          <div class="add-new-card__column add-new-card__half">
            <div class="add-new-card__bunch">
              <label for="newCardCVC"
                     class="add-new-card__label">CVC</label>
              <input id="newCardCVC"
                     class="add-new-card__input"
                     v-mask="'###'"
                     v-model="newCardCVC"
                     placeholder="CVC"/>
            </div>
          </div>
        </div>
        <div class="add-new-card__row">
          <div class="add-new-card__bunch">
            <label for="newCardNameHolder"
                   class="add-new-card__label">Имя держателя карты</label>
            <input id="newCardNameHolder"
                   class="add-new-card__input"
                   placeholder="Имя держателя карты"/>
          </div>
        </div>
        <div class="add-new-card__row">
          <button class="add-new-card__button button red"
                  v-on:click="showCardConfirm()">Добавить
          </button>
        </div>
        <Checkbox id="accept">
          <template slot="label-slot">Согласен с привязкой карты <a class="link" href="#">и условиями списания</a>.
          </template>
        </Checkbox>
      </div>
    </div>
  </div>
</template>

<script>
  import Checkbox from "../../components/Checkbox";
  import SVGIcon from "../../components/SVGIcon/index";

  export default {
    name: "AddNewCard",
    components: {SVGIcon, Checkbox},
    data() {
      return {
        newCardNumber: '',
        newCardValidity: '',
        newCardCVC: '',
      }
    },
    methods: {
      showCardConfirm() {
        this.$modal.show('CardConfirmationModal');
        this.$modal.hide('AddNewCardModal');
      }
    }
  }
</script>
